SHINDONT.1(1)

NAME
shindont - simple depth first ruby testing

SYNOPSIS
shindont [<something_tests.rb>]

shindont [<some_test_directory>]

shindont [<some_test_directory>] [+<tag>] [-<tag>]

DESCRIPTION
shindont runs tests non interactively. You can use it where speed matters (i.e. continuous integration). shindo with (n)o (t)race and much quieter output.

See /usr/share/doc/ruby-shindo/ for more details.

OPTIONS
+<tag>    run just tests with the given tag
-<tag>    run just tests without the given tag

EXAMPLE
$ shindont <some_test_directory> +<foo>

$ shindont <some_test_directory> -<bar>

$ shindont <some_test_directory> +<foo> -<bar>

AUTHOR
Copyright 2009 geemus (Wesley Beary) - http://github.com/geemus

This manual page is written by Praveen Arimbrathodiyl <praveen@debian.org> for Debian GNU System (GNU/Linux, GNU/kFreeBSD, GNU/Hurd).